/***********************************************************************
*
* simdsk.h - Definitions for disks.
*
* Changes:
*   09/02/11   DGP   Original.
*
***********************************************************************/

#ifndef __SIMDSK_H__
#define __SIMDSK_H__

#define DSKOVERHEAD 16
#define MAXDISKS 5

#define DISK_CHS    0
#define DISK_SCSI   1

typedef struct
{
   char *model;
   int type;
   int cyls;
   int heads;
   int sectrk;
   int bytsec;
   int overhead;
} disk_types;


static disk_types disks[MAXDISKS+1] =
{
   { "FD800",   DISK_CHS,     77,  1,  26, 128,  0 },
   { "FD1000",  DISK_CHS,     77,  2,  26, 128,  0 },
   { "DS31",    DISK_CHS,    202,  2,  88,  64,  0 },
   { "DS44",    DISK_CHS,    408,  2,  88,  64,  0 },
   { "BN44",    DISK_SCSI, 90112,  1,   1, 512,  0 },
   { "UNKNOWN", DISK_CHS,      0,  0,   0,   0,  0 }
};

#endif
